10 REM ***** ACTIVE FILTER DESIGN AID *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I", #1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N :INPUT #1,S:E$=E$+CHR$(S) :NEXT I
54 CLOSE #1
55 REM Copyright 1982-1987 Gary A. Field
60 REM LAST UPDATED 11/03/87
65 REM
70 REM VARIABLE USAGE
80 REM C1 = CHOSEN CAPACITOR VALUE
90 REM S = SCHEMATIC #
100 REM S1 = FREQUENCY SCALING FACTOR
110 REM S2 = RESISTOR SCALING FACTOR
120 REM S3 = CAPACITOR SCALING FACTOR
130 REM N = NUMBER OF STANDARD VALUES
140 REM
150 DIM C(35)
160 REM
180 REM CREATE A TABLE OF STANDARD CAPACITOR VALUES
184 REM PUT IN 100 PF & 330 PF
186 C(1) = .0001: C(2) = .00033
190 B = 2: N = 11: M = 1000
200 RESTORE
210 FOR I = B+1 TO B+N
220 READ C(I)
230 C(I) = C(I)/M
240 NEXT I
250 B = B+N: M = M/10
260 IF M >1 THEN 200
270 REM END OF INITIALIZATION
280 DATA 1.0, 1.5, 1.8, 2.2, 2.7, 3.3, 3.9, 4.7, 5.6, 6.8, 8.2
500 REM MAIN PROGRAM LOOP
510 IF E$="CLS" THEN CLS:ELSE PRINT E$;
515 PRINT TAB(20);"ACTIVE FILTER DESIGN":PRINT
520 PRINT "(1) Low Pass"
530 PRINT "(2) High Pass"
540 PRINT "(3) Bandpass "
545 PRINT "(4) Plot Multi-stage Bandpass Response"
550 PRINT "(5) Elliptic Active Filters"
555 PRINT "(M) Return to Main Menu"
560 PRINT : PRINT "Enter choice ";: INPUT A$
570 IF A$ = "1" THEN 1000
580 IF A$ = "2" THEN 2000
590 IF A$ = "3" THEN 3000
600 IF A$ = "4" THEN 4000
607 IF A$ = "5" THEN 5000
608 IF A$ = "M" THEN 9900
609 IF A$ = "m" THEN 9900
610 GOTO 500
1000 REM LOW PASS FILTER ROUTINES
1010 IF E$="CLS" THEN CLS:ELSE PRINT E$;
1014 PRINT TAB(15);"LOW PASS FILTER DESIGN"
1015 PRINT:PRINT "Refer to schematic #1 for this design"
1020 REM
1025 PRINT
1030 PRINT "Enter cutoff FREQUENCY (Hz) ";
1040 INPUT F
1050 PRINT "Do you want to specify Gain or Q (G/Q) ";
1060 INPUT A$
1070 IF A$ = "G" THEN 1100
1080 IF A$ <> "g" THEN 1200
1100 REM *** specify GAIN ***
1110 PRINT "Enter desired GAIN (numerical, < 3 ) ";
1120 INPUT G
1130 D = 3-G
1132 Q = 1/D
1135 PRINT "Q = ";Q
1137 PRINT
1140 GOTO 1300
1200 REM *** specify Q ***
1210 PRINT "Enter desired Q (.707 = flatest) ";
1220 INPUT Q
1230 D = 1/Q
1240 G = 3-D
1245 PRINT "Gain  = ";G
1247 PRINT
1290 REM *** calculate the resistor & capacitor values
1300 R = 10000: C = .016
1310 S1 = F/1000: REM calculate frequency scaling factor
1320 C1 = C/S1
1330 GOSUB 3550 : REM pick closest standard value for new capacitor
1340 S3 = C/C1
1350 S2 = S1/S3 :REM calculate Resistor scaling ratio
1360 R1 = R/S2 :REM Get the new resistor value
1370 R2 = R1
1375 R4 = 3.9 * R1
1380 R3 = (2-D) * R4
1385 C2 = C1
1390 PRINT "R1 = ";
1395 PRINT USING "######.#";R1;:PRINT " Ohms"
1400 PRINT "R2 = ";
1405 PRINT USING "######.#";R2;:PRINT " Ohms"
1410 PRINT "R3 = ";
1415 PRINT USING "######.#";R3;:PRINT " Ohms"
1420 PRINT "R4 = ";
1425 PRINT USING "######.#";R4;:PRINT " Ohms"
1430 PRINT
1440 PRINT "C1 = ";
1445 PRINT USING "#.######";C1;:PRINT " Micro-Farads"
1450 PRINT "C2 = ";
1455 PRINT USING "#.######";C2;:PRINT " Micro-Farads"
1900 GOTO 9000
2000 REM HIGH PASS FILTER ROUTINES
2010 IF E$="CLS" THEN CLS:ELSE PRINT E$;
2014 PRINT TAB(15);"HIGH PASS FILTER DESIGN"
2015 PRINT "Refer to schematic # 2 for this design"
2020 PRINT:GOTO 1020:REM HIGH PASS IS SAME AS LOW PASS
2999 REM
3000 REM BANDPASS FILTER ROUTINES
3010 T$ = "BANDPASS FILTER DESIGN": S = 3
3020 IF E$="CLS" THEN CLS:ELSE PRINT E$;
3025 PRINT: PRINT "Refer to schematic # 3 for this design"
3026 PRINT
3030 PRINT "Enter center FREQUENCY (Hz) ";
3040 INPUT F
3050 PRINT "Enter Q (< 7) ";
3060 INPUT Q
3070 C = .016: R = 10000/(2*Q)
3080 S1 = F/1000: REM CALCULATE FREQ SCALING FACTOR
3090 C1 = C / S1: REM SCALE CAPACITOR TO NEW FREQ RANGE
3100 GOSUB 3550: REM PICK CLOSEST STANDARD VALUE FOR C1
3110 S3 = C / C1 : REM CALCULATE CAPACITOR SCALING FACTOR
3120 S2 = S1 / S3: REM CALCULATE RESISTOR SCALING VALUE
3130 R1 = R / S2: REM SCALE THE RESISTOR
3140 R2 = R1 * (4*(Q^2))
3150 R3 = R2
3160 G = 2*(Q^2)
3170 G1 = 10 * G
3180 X = 1/ (6.28*F*C1*.000001): REM CAPACITORS ARE IN MICROFARADS
3210 GOSUB 3220
3212 GOSUB 3370
3214 GOTO 9000
3220 REM SCREEN OUTPUT ROUTINE
3230 IF E$="CLS" THEN CLS:ELSE PRINT E$;
3240 PRINT TAB(20); T$
3250 PRINT 
3260 PRINT "For a frequency of ";F;" Hz and a Q of ";Q
3270 PRINT "use schematic # 3 with the following values :"
3280 PRINT
3290 PRINT "R1      = ";
3295 PRINT USING "######.#";R1;:PRINT" Ohms 1%"
3300 PRINT "R2      = ";
3305 PRINT USING "######.#";R2;:PRINT " Ohms 1%"
3310 PRINT "R3      = ";
3315 PRINT USING "######.#";R3;:PRINT " Ohms 10%"
3320 PRINT "C1 & C2 = ";
3325 PRINT USING "#.######";C1;:PRINT " Micro-Farads 5%"
3330 PRINT "Filter gain = ";G
3335 PRINT
3340 PRINT "Open loop gain must be > ";G1;" at ";F;" Hz"
3360 PRINT:PRINT
3365 RETURN
3370 A$ = "N": PRINT "Do you want printed output (Y/N) ";
3380 INPUT A$: IF A$ = "Y" THEN GOSUB 3410
3385 IF A$ = "y" THEN GOSUB 3410
3390 RETURN
3400 REM PRINTER OUTPUT ROUTINE
3410 LPRINT CHR$(10):REM DO A LINE FEED
3420 LPRINT TAB(20); T$
3430 LPRINT
3440 LPRINT "For a frequency of ";F;" Hz and a Q of ";Q
3450 LPRINT "use schematic # ";S;" with the following values :"
3460 LPRINT
3470 LPRINT "R1 = ";R1;" Ohms 1%"
3480 LPRINT "R2 = ";R2;" Ohms 1%"
3490 LPRINT "R3 = ";R3;" Ohms 10%"
3500 LPRINT "C1 & C2 = ";C1;" Micro-Farads"
3510 LPRINT "Filter gain = ";G
3515 LPRINT
3520 LPRINT "Open loop gain must be > ";G1;" at ";F;" Hz"
3540 RETURN
3550 REM SUBROUTINE TO PICK CLOSEST CAPACITOR VALUE
3560 REM FROM TABLE OF STANDARD VALUES
3570 T = C(1)
3580 FOR I = 1 TO 3*N
3590     IF ABS(C(I)-C1) <= ABS(T-C1) THEN T = C(I)
3600 NEXT I
3610 C1 = T
3620 RETURN
4000 REM *** PLOT MULTI-STAGE BANDPASS RESPONSE ***
4010 RUN "AFPLOT.BAS"
4500 REM ****
5000 REM *** ELLI	C FILTERS ***
5010 RUN "AELIPT.BAS"
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 510
9030 IF A$ = "y" THEN 510
9900 RUN "CADMENU.BAS"
9999 END
