10 REM ***** DISH ANTENNA DESIGNER *****
20 REM
30 REM Copyright 1982 Gary A. Field
40 REM LAST MODIFIED 10/08/82
45 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I = 1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
100 REM
105 REM RUNS UNDER MICROSOFT BASIC VER. 5.03
106 REM
110 REM D = Diameter of dish
120 REM F = Frequency of operation
130 REM F1 = Focal length of dish
140 REM W = Beamwidth of dish
150 REM W1 = Beamwidth of feed horn
160 REM G = Gain of dish
170 REM R = Radius of dish
180 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
510 C9 = 1:U$ = " cm"
520 PRINT TAB(15);"PARABOLIC REFLECTOR DESIGNER"
530 PRINT
540 PRINT "(1) Design a Dish From Scratch"
550 PRINT "(2) Find Focal length of existing dish"
560 PRINT "(M) Return to main menu"
570 PRINT
580 PRINT "Enter choice ";
590 INPUT A$
600 IF A$ = "1" THEN 1000
610 IF A$ = "2" THEN 2000
620 IF A$ = "M" THEN 9900
625 IF A$ = "m" THEN 9900
630 GOTO 500
1000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1005 PRINT TAB(10);"DISH DESIGNER":PRINT
1010 PRINT "Do you want Metric or English units (M/E) ";
1020 INPUT A$
1030 IF A$ = "E" THEN 1050
1040 IF A$ <> "e" THEN 1060
1050 C9 = .3937:U$ = " In":REM CONSTANTS TO CONVERT cm to In
1060 PRINT "Enter desired DIAMETER (";U$;") ";
1070 INPUT D
1080 D = (D / C9)
1090 PRINT "Do you want to specify a focal Length (L) or F/D Ratio (R) ";
1100 INPUT A$
1110 IF A$ = "L" THEN 1140
1115 IF A$ = "l" THEN 1140
1120 IF A$ = "R" THEN 1250
1125 IF A$ = "r" THEN 1250
1130 GOTO 1090
1140 REM *** SPECIFY FOCAL LENGTH ***
1150 PRINT "Enter desired FOCAL LENGTH (";U$;") ";
1160 INPUT F1
1170 F1 = F1 / C9
1180 PRINT "F/D Ratio = ";
1190 PRINT USING "#.###";F1/D;:PRINT " is this satisfactory (Y/N) ";
1210 INPUT A$
1220 IF A$ = "Y" THEN 1320
1230 IF A$ = "y" THEN 1320
1240 GOTO 1150
1250 REM *** SPECIFY F/D RATIO ***
1260 PRINT "Enter desired F/D Ratio (.5 typ.) ";
1270 INPUT F3
1280 F1 = F3 * D: REM Focal length = F/D * Diameter
1290 PRINT "Focal length = ";
1300 PRINT USING "###.#";F1*C9;:PRINT U$
1320 REM
1330 PRINT "Enter FREQUENCY of operation (MHz) ";
1340 INPUT F
1350 L9 = (299.793/F) * 100:REM Calculate wavelength (cm) at this frequency
1360 G = (20 * (LOG(F)*.43429)) +(20 * (LOG(D/30.48)*.43429) - 52.6)
1370 IF G > 20 THEN 1390
1380 PRINT "More gain could probably be obtained from a YAGI "
1390 PRINT
1400 PRINT TAB(10);"Dimensions for a ";
1410 PRINT USING "####.#";D*C9+.001;:PRINT U$;" parabolic reflector"
1430 PRINT
1440 M = .1 * L9
1450 PRINT "At a Radius of     Depth =          Max. screen mesh size = ";
1460 PRINT USING "###.##";M*C9;:PRINT U$
1470 PRINT "--------------   --------------"
1480 R = D/2
1490 X1 = R/10
1500 Y1 = (R^2 / (4 * F1) ) * C9
1510 FOR X = 0 TO R STEP X1
1520     Y = X^2 / (4 * F1)
1530     PRINT "  ";
1540     PRINT USING "###.##";X*C9;:PRINT U$;
1560     PRINT "      ";
1570     PRINT USING "###.##";Y1-Y*C9;:PRINT U$
1580 NEXT X
1590 PRINT
1600 W1 = 2 * 57.2958 * ATN( R/(F1 - ( R^2 / (4 * F1) ) ) )
1610 PRINT "Optimum 10 dB feed beamwidth = ";
1620 PRINT USING "###.##";W1;:PRINT " degrees"
1640 PRINT "Theoretical Gain             = ";
1650 PRINT USING "###.##";G;:PRINT " dB over isotropic"
1660 W = 70000!/ (F * (D/30.48)):REM F = MHz, D = cm
1670 PRINT "Antenna 3 dB Beamwidth       = ";
1680 PRINT USING "###.##";W;:PRINT " degrees"
1690 GOTO 9000
2000 REM *** Find focal length of existing dish ***
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2015 PRINT TAB(10);"FOCAL LENGTH CALCULATOR":PRINT
2020 PRINT "Do you want Metric or English units (M/E) ";
2030 INPUT A$
2040 IF A$ = "E" THEN 2060
2050 IF A$ <> "e" THEN 2070
2060 C9 = .3937:U$ = " In"
2070 PRINT "Enter dish DIAMETER (";U$;") ";
2080 INPUT D:D = D/C9
2090 R = D/2
2100 PRINT "Enter dish depth at center (";U$;") ";
2110 INPUT Y:Y = Y/C9
2120 F1 = R^2/ (4 * Y)
2130 PRINT "Focal length = ";
2140 PRINT USING "####.#";F1*C9;:PRINT U$
2160 F3 = F1/D
2170 PRINT "F/D Ratio = ";
2180 PRINT USING "#.###";F3
2200 GOTO 9000
7999 REM
8999 REM
9000 PRINT: PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
