10 REM **** RECEIVER FRONT END DESIGN AID ****
20 REM
30 REM Copyright 1982 Gary A. Field
40 REM LAST MODIFIED 07/02/83
42 REM
43 REM RUNS UNDER MICROSOFT BASIC VER. 5.03
44 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I =1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 DIM N(9), G(9), F(9), G1(9)
60 REM VARIABLE USAGE
70 REM N() = NOISE FIGURE OF EACH STAGE
80 REM G() = GAIN OF EACH STAGE (dB)
90 REM F() = NOISE FACTOR OF EACH STAGE
100 REM G1()= NUMERICAL GAIN OF EACH STAGE
110 REM E = NOISE VOLTAGE
120 REM F2 = OVERALL NOISE FACTOR
130 REM G3 = TOTAL GAIN (dB)
140 REM I = GENERAL PURPOSE ARRAY AND LOOP INDEX
150 REM N = NUMBER OF STAGES
160 REM S = STAGE NUMBER
170 REM T = GEN. PURPOSE TEMP. VARIABLE
180 REM T2 = THRESHOLD (dBm)
190 REM T3 = NOISE TEMPERATURE
200 REM W = BANDWIDTH (MHz)
210 REM A$ = USER'S ANSWER
215 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(10);"RECEIVER FRONT END CALCULATOR"
510 PRINT
520 PRINT "(1) Calculate Front end noise figure"
530 PRINT "(M) Return to Main Menu"
540 PRINT:PRINT "Enter choice ";
550 INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "M" THEN 9900
575 IF A$ = "m" THEN 9900
580 GOTO 500
1000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1010 PRINT TAB(12);"Receiver Front End Performance Calculator"
1020 PRINT:PRINT
1030 REM INITIALIZE VARIABLES
1040 REM INIT EACH STAGE FOR PERFECT NOISE FACTOR AND 40 dB GAIN
1050 FOR I = 1 TO 8
1060     F(I) = 1
1070     G1(I) = 10000
1080 NEXT I
1090 REM GET NUMBER OF STAGES AND SPECIFICATIONS FOR EACH
1100 PRINT "How many amplifier STAGES do you want to specify (up to 8) ";
1110 INPUT N: IF N > 8 THEN 1000
1120 IF N=0 THEN GOTO 9900
1130 FOR S = 1 TO N
1140     PRINT "Enter NOISE FIGURE (dB) for stage ";S;"= ";
1150     INPUT N(S)
1160     PRINT "Enter GAIN (dB) for stage";S;"= ";
1170     INPUT G(S)
1180 NEXT S
1190 PRINT:PRINT "Enter MIXER NOISE FIGURE (dB) ";"= ";
1200 INPUT N(N+1):F(N+1) = 10 ^ (N(N+1)/10)
1210 PRINT "Enter mixer CONVERSION GAIN (dB) (- if loss) ";
1220 INPUT G(N+1):G1(N+1) = 10 ^ (G(N+1)/10)
1230 PRINT:PRINT
1240 REM EXECUTE FORMULA WITH INPUT DATA
1250 FOR I = 1 TO N+1
1260     REM CONVERT NOISE FIGURE TO NOISE FACTOR
1270     F(I) = 10 ^ (N(I)/10)
1280     REM CONVERT GAIN (dB) TO NUMERICAL GAIN
1290     G1(I) = 10 ^ (G(I)/10)
1300 NEXT I
1310 T = F(1) + ((F(2)-1)/G1(1)) + ((F(3)-1)/(G1(1)*G1(2)))
1320 T = T + ((F(4)-1)/(G1(1)*G1(2)*G1(3)))
1322 T = T + ((F(5)-1)/(G1(1)*G1(2)*G1(3)*G1(4)))
1324 T = T + ((F(6)-1)/(G1(1)*G1(2)*G1(3)*G1(4)*G1(5)))
1326 T = T + ((F(7)-1)/(G1(1)*G1(2)*G1(3)*G1(4)*G1(5)*G1(6)))
1328 F2= T + ((F(8)-1)/(G1(1)*G1(2)*G1(3)*G1(4)*G1(5)*G1(6)*G1(7)))
1330 REM CONVERT ANSWER TO dB
1340 N2 = 10 * (LOG(F2) * .43429448#)
1350 PRINT TAB(15);"Predicted performance for the specified receiver":PRINT
1360 REM PRINT DATA FOR EACH STAGE
1370 FOR I = 1 TO N
1380     PRINT "STAGE ";I;"N.F. = ";N(I);"dB, ","GAIN = ";G(I);" dB"
1390 NEXT I
1400 PRINT
1410 PRINT "MIXER   N.F.  = ";N(N+1);"dB, ","GAIN = ";G(N+1);" dB"
1420 PRINT
1430 PRINT "Overall noise figure = ";
1440 PRINT USING "##.##";N2;
1460 PRINT " dB"
1470 REM CALCULATE TOTAL GAIN
1480 G3 = 0
1490 FOR I = 1 TO N+1
1500     G3 = G3+G(I)
1510 NEXT I
1520 PRINT "Overall gain = ";G3;" dB"
1530 PRINT:PRINT
1540 PRINT "Do you want to calculate the receiver THRESHOLD (Y/N) ";
1550 INPUT A$
1560 IF A$ = "Y" THEN 1580
1570 IF A$ <> "y" THEN 1870
1580 PRINT "Enter the 3 dB I.F. bandwidth (MHz) = ";
1590 INPUT W
1600 REM SELECT CORRECT ANTENNA NOISE TEMPERATURE
1610 PRINT "Enter 'S' for Satellite, 'T' for Terrestrial ";
1620 INPUT A$
1625 T3 = 0
1630 IF A$ = "S" THEN T3 = 5
1640 IF A$ = "T" THEN T3 = 293
1650 IF A$ = "s" THEN T3 = 5
1660 IF A$ = "t" THEN T3 = 293
1665 IF T3 = 0 THEN 1610
1670 REM CALCULATE THE THERMAL NOISE AT INPUT IN MICROVOLTS
1680 REM EFFECTIVE BANDWIDTH = 1.5 * 3 dB BANDWIDTH
1690 W = W * 1.5
1700 E =SQR(4 * 1.38E-23 * T3 * W*1000000! * 50) * 1000000!
1710 REM THRESHOLD FOR 10 dB C/N = THERMAL NOISE * NOISE FACTOR * 10
1720 T1 = E * F2 * 10
1730 PRINT
1740 PRINT "Receiver threshold for 10 dB C/N is ";
1750 PRINT USING "-##.#";T1;
1770 PRINT " Microvolts, or ";
1780 T2 = (T1*.000001)^2 /50
1790 REM CONVERT TO mW
1800 T2 = T2 * 1000
1810 REM CONVERT TO dBm
1820 T2 = 10 * (LOG(T2/1) * .43429488#)
1830 PRINT USING "-####.#";T2;
1850 PRINT " dBm"
1860 PRINT
1870 PRINT "Do you wish to CHANGE any amplifier STAGES (Y/N) ";
1880 INPUT A$
1890 IF A$ = "Y" THEN 1910
1900 IF A$ <> "y" THEN 1980
1910 PRINT "Which stage ";
1920 INPUT S
1930 IF S > N THEN 1910
1940 PRINT "Enter new noise figure (dB) for stage ";S;"= ";
1950 INPUT N(S)
1960 PRINT "Enter new gain (dB) for stage ";S;"= ";
1970 INPUT G(S)
1975 GOTO 1250
1980 PRINT "Do you want to modify the mixer characterisitcs (Y/N) ";
1990 INPUT A$
2000 IF A$ = "Y" THEN 2020
2010 IF A$ <> "y" THEN 9000
2020 PRINT "Enter new mixer noise figure (dB) = ";
2030 INPUT N(N+1)
2040 PRINT "Enter new mixer gain (dB) (- if loss) = ";
2050 INPUT G(N+1)
2060 GOTO 1250
2070 REM 
9000 PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9050 REM
9900 RUN "CADMENU.BAS"
9999 END
