10 REM ***** L & PI NETWORK DESIGN AID *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
60 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
70 CLOSE #1
80 REM Copyright 1982,1983,1984,1985,1986 Gary A. Field
90 REM LAST UPDATED 05/26/86
100 REM FORMULAE FROM New and Improved formulas for the Design
110 REM               of pi and Pi-L Networks, QST, August 1983
120 REM               by Elmer A. Wingfield, W5FD
130 REM
140 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
510 PRINT TAB(20);"L and Pi Network Design":PRINT
520 PRINT "(1) L Network"
530 PRINT "(2) Pi Network"
540 PRINT "(3) Pi-L Network"
550 PRINT "(M) Return to Main Menu"
560 PRINT : PRINT "Enter choice ";: INPUT A$
570 IF A$ = "1" THEN 1000
580 IF A$ = "2" THEN 2000
590 IF A$ = "3" THEN 3000
600 IF A$ = "M" THEN 9900
610 IF A$ = "m" THEN 9900
620 GOTO 500
1000 REM L NETWORK DESIGN
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1020 PRINT "Enter LOWER IMPEDANCE (Ohms) ";:INPUT R1
1030 PRINT "Enter HIGHER IMPEDANCE (Ohms) ";:INPUT R2
1040 IF R2 < R1 THEN 1010
1045 IF R1 <> R2 THEN 1060
1050 PRINT:PRINT "No matching required for equal impedances":GOTO 9000
1060 X1 = SQR(R1*R2-R1^2)
1070 X2 = R2*SQR(R1/(R2-R1))
1080 Q=SQR(R2/R1-1)
1090 PRINT
1100 PRINT "Inductive reactance of L = ";
1110 PRINT USING "####.#";X1;
1120 PRINT " Ohms"
1130 PRINT "Capacitive reactance of C = ";
1140 PRINT USING "####.#";X2;
1150 PRINT " Ohms"
1160 PRINT "Q of network = ";
1170 PRINT USING "###.#";Q
1180 PRINT
1190 PRINT "O-----uuuuu-----+------O"
1200 PRINT "        L       I"
1210 PRINT "                I"
1220 PRINT "Z Low          ---     Z Hi"
1230 PRINT "            C  ---"
1240 PRINT "                I"
1250 PRINT "                I"
1260 PRINT "O---------------+------O"
1270 PRINT
1280 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
1290 L = X1/(6.28318*F): L = L * 1000000!: REM FIND L in uH
1300 C = 1/(X2*6.28318*F): C = C * 1E+12: REM FIND C in pF
1310 PRINT
1320 PRINT "L = ";
1330 PRINT USING"####.###";L;:PRINT " uH"
1340 PRINT "C = ";
1350 PRINT USING"####.#";C;:PRINT " pF"
1360 GOTO 9000
2000 REM PI NETWORK DESIGN
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2020 PRINT "Enter INPUT IMPEDANCE (Ohms) ";:INPUT R1
2030 PRINT "Enter OUTPUT IMPEDANCE (Ohms) ";:INPUT R2
2040 IF (R1/R2) < (R2/R1) THEN 2070
2050 Q0 = SQR((R1/R2)-1) :REM FIND MINIMUM USABLE Q
2060 GOTO 2080
2070 Q0 = SQR((R2/R1)-1) :REM FIND MINIMUM USABLE Q
2080 PRINT "Enter desired Q (>";
2090 PRINT USING "###.##)";Q0;:PRINT ") ";:INPUT Q
2100 IF Q < Q1 THEN 2080
2110 PRINT
2120 Q0=Q
2130 Q1 = ( (R1*Q0)-SQR(R1*R2*Q0^2-(R1-R2)^2) )/(R1-R2)
2140 Q2 = Q0-Q1
2150 XC1 = R1/Q1
2160 XC2 = R2/Q2
2170 XL = R1*Q0/(Q1^2+1)
2180 PRINT "Capacitive reactance of C1 = ";
2190 PRINT USING "####.#";XC1;
2200 PRINT " Ohms"
2210 PRINT "Inductive reactance of L1 = ";
2220 PRINT USING "####.#";XL;
2230 PRINT " Ohms"
2240 PRINT "Capacitive reactance of C2 = ";
2250 PRINT USING "####.#";XC2;
2260 PRINT " Ohms"
2270 PRINT
2280 PRINT "O-------+----uuuuu-----+------O"
2290 PRINT "        I      L1      I"
2300 PRINT "        I              I"
2310 PRINT "Z in   ---            ---     Z out"
2320 PRINT "       --- C1      C2 ---"
2330 PRINT "        I              I"
2340 PRINT "        I              I"
2350 PRINT "O-------+--------------+------O"
2360 PRINT
2370 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
2380 C1 = 1/(XC1*6.28318*F): C1 = C1 * 1E+12: REM FIND C1 in pF
2390 L1 = XL/(6.28318*F): L1 = L1 * 1000000!: REM FIND L1 in uH
2400 C2 = 1/(XC2*6.28318*F): C2 = C2 * 1E+12: REM FIND C2 in pF
2410 PRINT
2420 PRINT "C1 = ";
2430 PRINT USING"####.#";C1;:PRINT " pF"
2440 PRINT "L1 = ";
2450 PRINT USING"####.###";L1;:PRINT " uH"
2460 PRINT "C2 = ";
2470 PRINT USING"####.#";C2;:PRINT " pF"
2480 GOTO 9000
3000 REM PI-L NETWORK DESIGN
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3020 PRINT TAB(5);"Refer to schematic #16 for this design": PRINT
3030 PRINT "Enter HIGHER IMPEDANCE (Ohms) ";:INPUT R1
3040 PRINT "Enter LOWER IMPEDANCE (Ohms) ";:INPUT R2
3050 IF R2 > R1 THEN 3010
3060 RM = SQR(R1*R2):REM Find intermediate impedance
3070 Q0 = SQR((R1/R2)-1) :REM Find minimum usable Q for Pi section
3080 QL = SQR(RM/R2-1):REM Find Q for L section
3090 PRINT "Enter desired overall Q (>";
3100 PRINT USING "###.##";Q0+QL;:PRINT ") ";:INPUT Q
3110 IF Q < Q0+QL THEN 3090
3120 PRINT
3130 PRINT "Intermediate impedance Z2  = ";RM
3140 REM Find L Network values
3150 XL2 = QL*R2
3160 XC2B= RM/QL
3170 Q0=Q-QL
3180 Q1 = ( (R1*Q0)-SQR(R1*RM*Q0^2-(R1-RM)^2) )/(R1-RM)
3190 Q2 = Q0-Q1
3200 XC1 = R1/Q1
3210 XC2A = RM/Q2
3220 XL1 = R1*Q0/(Q1^2+1)
3230 PRINT "Capacitive reactance of C1 = ";
3240 PRINT USING "####.#";XC1;
3250 PRINT " Ohms"
3260 PRINT "Inductive reactance of L1  = ";
3270 PRINT USING "####.#";XL1;
3280 PRINT " Ohms"
3290 PRINT "Capacitive reactance of C2a= ";
3300 PRINT USING "####.#";XC2A;
3310 PRINT " Ohms"
3320 PRINT "Capacitive reactance of C2b= ";
3330 PRINT USING "####.#";XC2B;
3340 PRINT " Ohms"
3350 PRINT "Inductive reactance of L2  = ";
3360 PRINT USING "####.#";XL2;
3370 PRINT " Ohms"
3380 PRINT
3390 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
3400 C1 = 1/(XC1*6.28318*F): C1 = C1 * 1E+12: REM FIND C1 in pF
3410 L1 = XL1/(6.28318*F): L1 = L1 * 1000000!: REM FIND L1 in uH
3420 C2 = 1/((XC2+XC2B)*6.28318*F): C2 = C2 * 1E+12: REM FIND C2 in pF
3430 L2 = XL2/(6.28318*F): L2 = L2 * 1000000!: REM FIND L2 in uH
3440 PRINT
3450 PRINT "C1 = ";
3460 PRINT USING"####.#";C1;:PRINT " pF"
3470 PRINT "L1 = ";
3480 PRINT USING"####.#";L1;:PRINT " uH"
3490 PRINT "C2 = ";
3500 PRINT USING"####.#";C2;:PRINT " pF"
3510 PRINT "L2 = ";
3520 PRINT USING"####.#";L2;:PRINT " uH"
3530 GOTO 9000
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
t another run (Y/N) ";
9010 INPUT A$
90