10 REM ***** MICROWAVE FILTER DESIGN AID *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC VER. 5.03
40 REM
45 REM Copyright 1982 Gary A. Field
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
60 REM LAST UPDATED 10/08/82
65 REM
70 REM VARIABLE USAGE
80 REM Z0 = INPUT & OUTPUT IMPEDANCE
90 REM Z1 = IMPEDANCE 0F SERIES INDUCTOR SECTIONS
100 REM Z2 = IMPEDANCE OF SHUNT CAPACITOR SECTIONS
110 REM Z3 = IMPEDANCE OF MATCHING STUB
120 REM L1 = LENGTH OF SERIES INDUCTORS IN FILTER SECTIONS
130 REM L2 = LENGTH OF SERIES INDUCTORS IN MATCHING SECTIONS
140 REM L3 = LENGTH OF SHUNT CAPACITOR STUBS (FROM CENTER LINE)
150 REM L4 = LENGTH OF MATCHING STUBS
160 REM
199 REM TANGENT FUNCTION DEFINITION
200 DEF FN T(X) = SIN(X)/COS(X)
210 U$ = " In"
290 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(20);"MICROWAVE FILTER DESIGN":PRINT
510 PRINT "(1) Low Pass"
520 PRINT "(2) High Pass"
530 PRINT "(3) Bandpass "
540 PRINT "(M) Return to Main Menu"
550 PRINT : PRINT "Enter choice ";: INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "2" THEN 2000
580 IF A$ = "3" THEN 3000
590 IF A$ = "M" THEN 9900
595 IF A$ = "m" THEN 9900
600 GOTO 200
1000 REM LOW PASS FILTER ROUTINES
1005 REM FORMULAE FROM "STRIPLINE CIRCUIT DESIGN" BY HARLAN HOWE, CHAPTER 6
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1014 PRINT TAB(15);"LOW PASS FILTER DESIGN"
1015 PRINT:PRINT "Refer to drawing #4 for this design"
1020 REM
1025 PRINT
1050 V = 1 :REM NORMALIZED SPEED OF LIGHT
1100 L9 = 1 :REM NORMALIZED WAVELENGTH
1105 F0 = V/L9
1110 W = 6.28 * F0
1230 PRINT "Enter IMPEDANCE (Ohms) ";
1235 INPUT Z0
1240 PRINT "Enter HIGHEST IMPEDANCE line you want to make (Ohms, typ.= 125) ";
1250 INPUT Z1
1254 PRINT "Enter NORMALIZED MAX. stopband FREQUENCY (typ.= 8) ";
1258 INPUT M1
1260 PRINT
1290 REM *** calculate the dimensions of the filter elements ***
1320 M = .6
1330 L1 = (V/W) * ATN( (2 * Z0)/Z1 )
1340 L2 = (V/W) * ATN( ((M+1)/Z1) * Z0)
1350 F8 = F0/SQR(1-M^2)
1360 L8 = V/F8 :REM Find wavelength at F inf.
1370 F7 = M1 * F0: REM Make max. stopband frequency = 8 * Fc
1372 L7 = V/F7: REM Find wavelength at max stopband freq.
1380 L3 = SQR(L9*L7)/4
1390 L4 = L8/4
1400 X = (W*L3)/V
1410 Z2 = Z0 * FNT(X)
1420 X = (W*L4)/V
1430 Z3 = M * Z0 * FNT(X)
1500 PRINT "Impedance of input & output    (Z0) = ";
1510 PRINT USING "###.##";Z0;:PRINT " Ohms"
1530 PRINT "Impedance of series inductors  (Z1) = ";
1540 PRINT USING "###.##";Z1;:PRINT " Ohms"
1550 PRINT "Impedance of shunt capacitors  (Z2) = ";
1560 PRINT USING "###.##";Z2;:PRINT " Ohms"
1570 PRINT "Impedance of matching stub     (Z3) = ";
1580 PRINT USING "###.##";Z3;:PRINT " Ohms"
1610 PRINT
1620 PRINT "Length of filter inductors     (L1) = ";
1630 PRINT USING "#.###";L1;:PRINT " Wavelengths"
1650 PRINT "Length of matching inductors   (L2) = ";
1660 PRINT USING "#.###";L2;:PRINT " Wavelengths"
1670 PRINT "Length of shunt filter stubs   (L3) = ";
1680 PRINT USING "#.###";L3;:PRINT " Wavelengths"
1690 PRINT "Length of shunt matching stubs (L4) = ";
1700 PRINT USING "#.###";L4;:PRINT " Wavelengths"
1900 GOTO 9000
2000 REM HIGH PASS FILTER ROUTINES
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2011 PRINT TAB(15);"HIGH PASS FILTER DESIGN"
2012 PRINT:PRINT
2015 PRINT "FUNCTION NOT YET AVAILABLE"
2020 FOR I = 1 TO 1000 : NEXT I
2030 GOTO 500
2999 REM
3000 REM BANDPASS FILTER ROUTINES
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3015 PRINT TAB(15);"BANDPASS FILTER DESIGN"
3280 PRINT
3515 PRINT
3540 PRINT "FUNCTION NOT YET AVAILABLE"
3545 FOR I = 1 TO 1000 :NEXT I
3550 GOTO 500
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
