10 REM ****** RESONANCE CALCULATOR ******
15 REM
20 REM Copyright 1982 Gary Field
30 REM LAST MODIFIED 03/02/83
40 REM
45 REM RUNS UNDER MICROSOFT BASIC Ver 5.03
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
100 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
510 PRINT TAB(15),"Tank Circuit Resonance Calculator"
520 PRINT
530 PRINT
540 PRINT "(1) Find F given L & C"
550 PRINT "(2) Find C given F & L"
560 PRINT "(3) Find L given F & C"
570 PRINT "(4) Find Z given L & Q"
580 PRINT "(M) Return to Main Menu"
590 PRINT
600 PRINT "Enter choice ";
610 INPUT A$
620 IF A$="1" THEN 1010
630 IF A$="2" THEN 2000
640 IF A$="3" THEN 3000
650 IF A$="4" THEN 4000
660 IF A$= "M" THEN 9900
670 IF A$= "m" THEN 9900
680 GOTO 500
1000 REM **** FREQ, GIVEN L & C
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1020 GOSUB 6000
1090 GOSUB 8000
1160 F=1/(6.28318*(SQR(L1*C1)))
1165 PRINT
1170 PRINT"A ";
1172 PRINT USING "####.####";C;:PRINT " ";U$;:PRINT " capacitor and a";
1174 PRINT USING "####.####";L;:PRINT " ";U1$;" inductor"
1180 PRINT"will resonate at ";:PRINT USING "#####.###";F/1000;:PRINT " KHz"
1190 PRINT:GOTO 9000
2000 REM *** C, GIVEN FREQ & L
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2020 GOSUB 7000
2040 GOSUB 8000
2110 C=1/(((6.28318*F1)^2)*L1)
2120 C=C*1E+12
2125 PRINT
2130 PRINT "The Capacitor necessary to resonate a ";:PRINT USING "####.####";L;:PRINT " ";U1$;
2132 PRINT " inductor":PRINT "at ";:PRINT USING "#####.###";F1/1000;:PRINT " KHz is ";
2140 PRINT USING "####.####";C;:PRINT " pF"
2150 PRINT: GOTO 9000
3000 REM *** L, GIVEN FREQ & C
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3020 GOSUB 6000
3090 GOSUB 7000
3160 L=1/(((6.28318*F1)^2)*C1)
3170 L=L*1000000!
3175 PRINT
3180 PRINT"The Inductor required to resonate a ";
3182 PRINT USING "####.####";C;:PRINT " ";U$;" capacitor"
3190 PRINT "at ";:PRINT USING "#####.###";F;:PRINT " ";U2$;" is ";L;" uH"
3200 PRINT : GOTO 9000
4000 REM *** TO FIND Z GIVEN F and Q OF L
4010 REM
4020 IF E$="CLS" THEN CLS :ELSE PRINT E$;
4025 PRINT
4030 PRINT "Enter FREQUENCY (MHz) ";
4040 INPUT F
4050 PRINT "Enter L (UH), Q of inductor @ Freq. i.e. 1.0,120 ";
4060 INPUT L,Q1
4070 PRINT "Enter Q of capacitor ";
4080 INPUT Q2
4090 PRINT
4100 X1 = 6.28 * (F*1000000!) * (L / 1000000!)
4110 REM CAPACITIVE & INDUCTIVE REACTANCES ARE EQUAL AT RESONANCE
4120 X2 = X1
4130 R1 = X1/Q1
4140 R2 = X2/Q2
4150 Z1 = R1+R2
4160 REM CALCULATE PARALLEL RESONANT IMPEDANCE
4170 R3 = (1+Q1^2) * R1
4180 R4 = (1+Q2^2) * R2
4190 Z2 = (R3*R4)/(R3+R4)
4200 Q3 = (Q1*Q2)/(Q1+Q2)
4210 REM
4220 REM DISPLAY RESULTS
4230 PRINT "Resultant LC circuit Q = ";Q3
4240 PRINT
4250 PRINT "Series Resonant Impedance = ";Z1
4260 PRINT "Parallel Resonant Impedance = ";Z2
4270 PRINT 
4280 GOTO 9000
6000 PRINT:PRINT"Enter C, UNITS (PF, MF) i.e 100,PF ";
6010 INPUT C,U$
6025 IF U$ = "PF" THEN 6030
6026 IF U$ = "Pf" THEN 6030
6027 IF U$ = "pF" THEN 6030
6028 IF U$ = "pf" THEN 6030
6029 GOTO 6050
6030 C1=C/1E+12
6040 GOTO 6100
6050 IF U$ = "MF" THEN 6060
6054 IF U$ = "mF" THEN 6060
6055 IF U$ = "Mf" THEN 6060
6056 IF U$ = "mf" THEN 6060
6058 GOTO 6000
6060 C1=C/1000000!
6100 RETURN
7000 PRINT:PRINT"Enter FREQ, UNITS (KHZ/MHZ) i.e. 1.0,MHZ ";
7010 INPUT F,U2$
7020 IF U2$ = "KHZ" THEN 7030
7022 IF U2$ = "khz" THEN 7030
7023 IF U2$ = "kHz" THEN 7030
7024 IF U2$ = "KHz" THEN 7030
7025 GOTO 7050
7030 F1=F*1000!
7040 GOTO 7100
7050 IF U2$ = "MHZ" THEN 7060
7052 IF U2$ = "mhz" THEN 7060
7053 IF U2$ = "mHz" THEN 7060
7054 IF U2$ = "MHz" THEN 7060
7055 GOTO 7000
7060 F1=F*1000000!
7100 RETURN
8000 PRINT:PRINT"Enter L, UNITS (UH, MH) i.e 1.0,UH ";
8010 INPUT L,U1$
8020 IF U1$ = "UH" THEN 8030
8022 IF U1$ = "uh" THEN 8030
8023 IF U1$ = "Uh" THEN 8030
8024 IF U1$ = "uH" THEN 8030
8025 GOTO 8050
8030 L1=L/1000000!
8035 GOTO 8100
8050 IF U1$ = "MH" THEN 8060
8052 IF U1$ = "mh" THEN 8060
8053 IF U1$ = "Mh" THEN 8060
8054 IF U1$ = "mH" THEN 8060
8060 L1=L/1000!
8100 RETURN
9000 PRINT : PRINT"Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$="Y" THEN 500
9040 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
ant another run (Y/N) ";
9010 INPUT A$
9020 IF A$="Y" THEN 500
9040 IF A$ = "y" THEN 500
9900 RUN "CA